function $AdfJsfClientBehavior$$($eventType$$33$$, $script$$1$$, $isSubmitting$$) {
  this.Init($eventType$$33$$, $script$$1$$, $isSubmitting$$);
}
$goog$exportSymbol$$("AdfJsfClientBehavior", $AdfJsfClientBehavior$$);
$AdfObject$$.$createSubclass$($AdfJsfClientBehavior$$, $AdfClientBehavior$$);
$AdfJsfClientBehavior$$.prototype.$initialize$ = function $$AdfJsfClientBehavior$$$$$initialize$$($component$$259$$) {
  $component$$259$$.addEventListener(this.$_eventType$, this.$_invokeBehavior$, this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfJsfClientBehavior.prototype.initialize", {$initialize$:$AdfJsfClientBehavior$$.prototype.$initialize$});
$AdfJsfClientBehavior$$.prototype.$_invokeBehavior$ = function $$AdfJsfClientBehavior$$$$$_invokeBehavior$$($event$$97$$) {
  if (!$event$$97$$.$isCanceled$()) {
    var $nativeEvent$$24$$ = $event$$97$$ instanceof $AdfDomComponentEvent$$ ? $event$$97$$.$getNativeEvent$() : $AdfPage$$.$PAGE$.$_lastDomEvent$;
    (0 == this.$_behavior$($nativeEvent$$24$$, $event$$97$$) || this.$_submitting$ && "action" == this.$_eventType$) && $event$$97$$.cancel();
  }
};
$AdfJsfClientBehavior$$.prototype.Init = function $$AdfJsfClientBehavior$$$$Init$($eventType$$34$$, $script$$2$$, $isSubmitting$$1$$) {
  $AdfJsfClientBehavior$$.$superclass$.Init.call(this);
  $AdfAssert$$.assert(null != $script$$2$$);
  this.$_eventType$ = $eventType$$34$$;
  $script$$2$$ && -1 < $script$$2$$.indexOf("mojarra") ? this.$_behavior$ = function anonymous$$11($isSubmitting$$1$$) {
    var $argsArr$$ = $script$$2$$.substring($script$$2$$.indexOf("(") + 1, $script$$2$$.lastIndexOf(")")).split(",");
    mojarra.$ab$($argsArr$$[0], $isSubmitting$$1$$, $eventType$$34$$, $argsArr$$[3], $argsArr$$[4]);
  } : $script$$2$$ && -1 < $script$$2$$.indexOf("return") ? this.$_behavior$ = function anonymous$$12($eventType$$34$$, $isSubmitting$$1$$) {
    var $funcName$$5$$ = $script$$2$$.substring($script$$2$$.indexOf(" ") + 1, $script$$2$$.lastIndexOf("("));
    return window[$funcName$$5$$]($isSubmitting$$1$$);
  } : this.$_behavior$ = new Function("event", "componentEvent", $script$$2$$);
  this.$_submitting$ = $isSubmitting$$1$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfJsfClientBehavior.prototype.Init", {Init:$AdfJsfClientBehavior$$.prototype.Init});
